%define module	ipdb

Summary:	IPython-enhanced pdb
Name:		python-%{module}
Version:	0.9.3
Release:	%mkrel 2
Source0:	https://pypi.python.org/packages/source/i/%{module}/%{module}-%{version}.tar.gz
License:	GPL
Group:		Development/Python
Url:		https://github.com/gotcha/ipdb
BuildArch:	noarch
Requires:	pythonegg(2)(ipython)
BuildRequires:	pythonegg(2)(setuptools)

%description
ipdb provides access to IPython features from within pdb.

%package -n python3-ipdb
Summary:        IPython enabled Python debugger
Group:          Development/Python
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(ipython)
Requires:       pythonegg(3)(ipython)

%description -n python3-ipdb
IPython features (tab completion, syntax highlighting, better tracebacks,
better introspection) right in pdb.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
pushd %{py3dir}
%py3_build
popd

%py2_build


%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc COPYING.txt README.rst HISTORY.txt
%{python2_sitelib}/*egg-info/
%{python2_sitelib}/%{module}
%{_bindir}/ipdb

%files -n python3-ipdb
%doc COPYING.txt HISTORY.txt README.rst
%{python3_sitelib}/ipdb/
%{python3_sitelib}/ipdb-%{version}*.egg-info/
%{_bindir}/ipdb3



%changelog
* Thu Apr 21 2016 philippem <philippem> 0.9.3-2.mga6
+ Revision: 1004055
- wrong requires

* Wed Apr 20 2016 philippem <philippem> 0.9.3-1.mga6
+ Revision: 1003875
- update to 0.9.3

* Sat Feb 20 2016 umeabot <umeabot> 0.8.1-2.mga6
+ Revision: 972139
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 0.8.1-1.mga6
+ Revision: 896114
- update to 0.8.1

* Sat Oct 10 2015 tv <tv> 0.8-6.mga6
+ Revision: 888803
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 740725
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8-4.mga5
+ Revision: 728756
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-3.mga5
+ Revision: 688089
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8-2.mga5
+ Revision: 628715
- Rebuild for new Python

* Sun Mar 16 2014 philippem <philippem> 0.8-1.mga5
+ Revision: 604230
- update to 0.8, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.7-5.mga4
+ Revision: 543607
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-4.mga4
+ Revision: 498741
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 0.7-3.mga4
+ Revision: 490535
- cleaning spec

* Sun Jan 13 2013 umeabot <umeabot> 0.7-2.mga3
+ Revision: 378998
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 0.7-1.mga3
+ Revision: 281138
- Update to 0.7.

* Tue Oct 25 2011 lebedov <lebedov> 0.6.1-1.mga2
+ Revision: 158104
- Update to 0.6.1.

* Mon Sep 26 2011 lebedov <lebedov> 0.6-1.mga2
+ Revision: 148882
- imported package python-ipdb

